package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag799;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT799Creator;

/**
 * @author wuzhe
 * @date 2023/3/3
 */
public class Tag20Creator extends AbsTagCreate {

     private MT799Creator mt799Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt799Creator= (MT799Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt799Creator.getTransactionReferenceNumber();
        mt799Creator.set("20", tag20Value);
    }
}
